# 39. Mutation: 選択した「GeoMaps」にカスタム配色スキーマを設定

データレイヤー「ZonesMaps」「SoilDatasets」にカスタムカラースキーマを設定します。&#x20;

他のデータレイヤー（「YieldDataset」「TopographyMaps」「SatelliteImages」）のサポートは近日対応予定です。

「GeoMap」のすべての属性を更新します：

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    説明
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

「GeoMap」のカラースキーマのみを更新します：

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    説明
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**重要** ミューテーションの使い方を学ぶポイント：

1. 属性 `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`、および `shortName` 正しい「GeoMap」を特定するために必須です。これら三つの属性の組み合わせが「GeoMap」の一意性を表します。
2. いずれか `soilDatasetUuid` または `vectorAnalysisMapUuid` 属性は単一の「GeoMap」入力ごとに使用する必要があります。
3. の値 `shortName` は「GeoMap」の元と同じでなければなりません。編集はできません。
4. 属性 `fullName`, `説明`, `hexColorCodes` は「ZonesMaps」について編集可能で、変更することができます。属性が言及されていない場合、変更は適用されません。
5. 属性 `fullName`, `説明`, `classes`, `hexColorCodes` は「SoilDatasets」について編集可能で、変更することができます。属性が言及されていない場合、変更は適用されません。
6. 配列 `classes` と `hexColorCodes`  は「GeoMap」の元とまったく同じ長さでなければなりません。
7. リクエストとレスポンス内の「GeoMaps」配列の長さは同じである必要があります。そうでない場合、いくつかの「GeoMaps」は正常に編集されていません。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/39-mutation-shitageomapsnikasutamusukmawo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
